Remove "Conflicts: oracle-java10-installer" from openjdk-lts/openjdk-10 package

Bug #1782630 reported by Tiago Stürmer Daitx on 2018-07-19
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
openjdk-lts (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned

Bug Description

From https://lists.launchpad.net/openjdk/msg13098.html

Hello,

I maintain an Oracle Java 10 PPA [1] (based on Andrew's scripts from
webupd8.org but modified for Oracle Java 10) and I noticed that OpenJDK
packages in Debian and Ubuntu have "Conflicts: oracle-java10-installer" in
the control file which means you can't install both Oracle Java and OpenJDK.

I searched for the reasons behind this and all I could find was a mention
that the oracle-javaX-installer package automatically incremented the Java
priority a long time ago. This is no longer the case though. Is there
anything else I need to tweak to the oracle-java10-installer package to
have that "Conflicts: oracle-java10-installer" removed from the Debian /
Ubuntu packages?

[1] https://launchpad.net/~linuxuprising/+archive/ubuntu/java

Thanks,

-Logix

tags: added: packaging
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in openjdk-lts (Ubuntu):
status: New → Confirmed
Changed in openjdk-lts (Ubuntu Bionic):
status: New → Confirmed
Changed in openjdk-lts (Ubuntu Cosmic):
status: New → Confirmed
Matthias Klose (doko) wrote :

that should not be changed, because the oracle-install needlessly bumps the priority over the openjdk, making it the default. This was said several times, and it's wrong to remove that conflict.

Changed in openjdk-lts (Ubuntu):
status: Confirmed → Won't Fix
Changed in openjdk-lts (Ubuntu Bionic):
status: Confirmed → Won't Fix
Changed in openjdk-lts (Ubuntu Cosmic):
status: Confirmed → Won't Fix
Matthias Klose (doko) wrote :

this doesn't bump the priority anymore, but uses the same priority. it should use a lower priority. also the maintainer scripts refer to OpenJDK-10, preventing removal of these packages.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openjdk-lts - 11.0.2+9-1ubuntu3

---------------
openjdk-lts (11.0.2+9-1ubuntu3) disco; urgency=medium

  * Fix file permissions for autopkg tests.

 -- Matthias Klose <email address hidden> Tue, 22 Jan 2019 14:39:45 +0100

Changed in openjdk-lts (Ubuntu):
status: Won't Fix → Fix Released

Hello Tiago, or anyone else affected,

Accepted openjdk-lts into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/openjdk-lts/11.0.2+9-3ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in openjdk-lts (Ubuntu Bionic):
status: Won't Fix → Fix Committed
tags: added: verification-needed verification-needed-bionic
Launchpad Janitor (janitor) wrote :
Download full text (5.7 KiB)

This bug was fixed in the package openjdk-lts - 11.0.2+9-3ubuntu1~18.04.3

---------------
openjdk-lts (11.0.2+9-3ubuntu1~18.04.3) bionic-security; urgency=medium

  * Backport from Disco. LP: #1814133.
  * Revert to GTK2 as default as GTK3 still has padding and component issues,
    apply upstream changeset to fix a few GTK3 components: LP: #1770278.
    - debian/patches/jdk-improve-gtk3-compatibility.patch: upstream fix for
      JDK-8218469, JDK-8218470, JDK-8218472, and JDK-8203627.
    - debian/patches/keep-gtk2-as-default.patch: revert upstream so GTK2 is
      loaded before GTK3 when available.
    - debian/rules, debian/control: remove libgtk-3-dev from build depends
      as it is not required for building; set jre to depend on libgtk2.0-0
      and alternatively to libgtk-3-0.
  * Adds breaks clause to prevent openjdk-11-jre-headless from being updated
    when jetty9, netbeans, tomcat8, or visualvm are being hold back in
    unattended-upgrades due to local conffiles changes.

openjdk-lts (11.0.2+9-3ubuntu1) disco; urgency=medium

  * Sync packages with 11.0.2+9-3:
    - Fix Zero on sparc64 (Adrian Glaubitz). Closes: #920315.
    - Link zero on alpha with --no-relax (Michael Cree). Addresses: #920161.
    - Don't run the tests on alpha, causing build failure.
    - jhsdb isn't built on alpha.
    - Backport the fix for 8214002 (cannot use italic font style if the font
      has embedded bitmap). LP: #1799014.
  * Sync packages with 11.0.2+9-2:
    - Fix file permissions for autopkg tests.

openjdk-lts (11.0.2+9-1ubuntu3) disco; urgency=medium

  * Fix file permissions for autopkg tests.

openjdk-lts (11.0.2+9-1ubuntu1) disco; urgency=medium

  * Sync packages with 11.0.2+9-1:
    - OpenJDK 11.0.2 release (build 9).

    - Backport the fix for S8212233. Closes: #920020, #919798.
    - debian/buildwatch.sh: use same code from openjdk-8.
    - debian/control.in, debian/control:
      - add fixed build depends for jtreg and xfvb.
      - remove Conflicts: oracle-java11-installer. (LP: #1782630)
    - debian/rules:
      - call the same testsuites scripts used for autopkgtest.
      - removed jtreg and xvfb build dependency logic and moved the bdeps
        into debian/control.in.
      - added gen-autopackage rule to generate autopkgtest scripts from
        templates.
      - copy flight recorder configuration files.
      - fix logging in langtools testing.
      - don't ignore/exclude the release file from the jdk package, it is
        required by jtreg tests and autopkgtests will fail without it.
      - don't run nashorn testsuite.
    - update dep8 tests:
      - debian/tests/control: updated to run openjdk-11 tests.
      - debian/tests/hotspot, debian/tests/jaxp, debian/tests/jdk,
        debian/tests/langtools: use the new jt .sh scripts.
      - debian/tests/jtdiff-autopkgtest.sh: diff build time and autopkgtest
        JTreports to show what changed.
      - debian/tests/jtreg-autopkgtest.in: template to generate the jtreg
        script used by the autopkgtest tests.
      - debian/tests/jtdiff-autopkgtest.sh: used by the scripts to report
        any differences between the autopkgtest and the tests results
        genera...

Read more...

Changed in openjdk-lts (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (3.9 KiB)

This bug was fixed in the package openjdk-lts - 11.0.2+9-3ubuntu1~18.10.3

---------------
openjdk-lts (11.0.2+9-3ubuntu1~18.10.3) cosmic-security; urgency=medium

  * Backport from Disco. LP: #1814133.
  * Revert to GTK2 as default as GTK3 still has padding and component issues,
    apply upstream changeset to fix a few GTK3 components: LP: #1770278.
    - debian/patches/jdk-improve-gtk3-compatibility.patch: upstream fix for
      JDK-8218469, JDK-8218470, JDK-8218472, and JDK-8203627.
    - debian/patches/keep-gtk2-as-default.patch: revert upstream so GTK2 is
      loaded before GTK3 when available.
    - debian/rules, debian/control: remove libgtk-3-dev from build depends
      as it is not required for building; set jre to depend on libgtk2.0-0
      and alternatively to libgtk-3-0.
  * Add breaks clause to prevent openjdk-11-jre-headless from being updated
    when jetty9, netbeans, tomcat8, or visualvm are being hold back in
    unattended-upgrades due to local conffiles changes.

openjdk-lts (11.0.2+9-3ubuntu1) disco; urgency=medium

  * Sync packages with 11.0.2+9-3:
    - Fix Zero on sparc64 (Adrian Glaubitz). Closes: #920315.
    - Link zero on alpha with --no-relax (Michael Cree). Addresses: #920161.
    - Don't run the tests on alpha, causing build failure.
    - jhsdb isn't built on alpha.
    - Backport the fix for 8214002 (cannot use italic font style if the font
      has embedded bitmap). LP: #1799014.
  * Sync packages with 11.0.2+9-2:
    - Fix file permissions for autopkg tests.

openjdk-lts (11.0.2+9-1ubuntu3) disco; urgency=medium

  * Fix file permissions for autopkg tests.

openjdk-lts (11.0.2+9-1ubuntu1) disco; urgency=medium

  * Sync packages with 11.0.2+9-1:
    - OpenJDK 11.0.2 release (build 9).

    - Backport the fix for S8212233. Closes: #920020, #919798.
    - debian/buildwatch.sh: use same code from openjdk-8.
    - debian/control.in, debian/control:
      - add fixed build depends for jtreg and xfvb.
      - remove Conflicts: oracle-java11-installer. (LP: #1782630)
    - debian/rules:
      - call the same testsuites scripts used for autopkgtest.
      - removed jtreg and xvfb build dependency logic and moved the bdeps
        into debian/control.in.
      - added gen-autopackage rule to generate autopkgtest scripts from
        templates.
      - copy flight recorder configuration files.
      - fix logging in langtools testing.
      - don't ignore/exclude the release file from the jdk package, it is
        required by jtreg tests and autopkgtests will fail without it.
      - don't run nashorn testsuite.
    - update dep8 tests:
      - debian/tests/control: updated to run openjdk-11 tests.
      - debian/tests/hotspot, debian/tests/jaxp, debian/tests/jdk,
        debian/tests/langtools: use the new jt .sh scripts.
      - debian/tests/jtdiff-autopkgtest.sh: diff build time and autopkgtest
        JTreports to show what changed.
      - debian/tests/jtreg-autopkgtest.in: template to generate the jtreg
        script used by the autopkgtest tests.
      - debian/tests/jtdiff-autopkgtest.sh: used by the scripts to report
        any differences between the autopkgtest and the tests results
        generat...

Read more...

Changed in openjdk-lts (Ubuntu Cosmic):
status: Won't Fix → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers